## EvFormField EvFormField |

## Functions

EvFormField * | ev_form_field_text_new ()
EvFormField * | ev_form_field_button_new ()
EvFormField * | ev_form_field_choice_new ()
EvFormField * | ev_form_field_signature_new ()

## Types and Values

struct | EvFormField
struct | EvFormFieldClass
struct | EvFormFieldText
struct | EvFormFieldTextClass
struct | EvFormFieldButton
struct | EvFormFieldButtonClass
struct | EvFormFieldChoice
struct | EvFormFieldChoiceClass
struct | EvFormFieldSignature
struct | EvFormFieldSignatureClass
enum | EvFormFieldTextType
enum | EvFormFieldButtonType
enum | EvFormFieldChoiceType

## Object Hierarchy

        GEnum
        ├── EvFormFieldButtonType
        ├── EvFormFieldChoiceType
        ╰── EvFormFieldTextType
        GObject
        ├── EvFormField
        │   ├── EvFormFieldButton
        │   ├── EvFormFieldChoice
        │   ├── EvFormFieldSignature
        │   ╰── EvFormFieldText
        ╰── EvFormField
            ├── EvFormFieldButton
            ├── EvFormFieldChoice
            ├── EvFormFieldSignature
            ╰── EvFormFieldText

## Description

## Functions

### ev_form_field_text_new ()

    EvFormField *
    ev_form_field_text_new (gint id,
                            EvFormFieldTextType type);

### ev_form_field_button_new ()

    EvFormField *
    ev_form_field_button_new (gint id,
                              EvFormFieldButtonType type);

### ev_form_field_choice_new ()

    EvFormField *
    ev_form_field_choice_new (gint id,
                              EvFormFieldChoiceType type);

### ev_form_field_signature_new ()

    EvFormField *
    ev_form_field_signature_new (gint id);

## Types and Values

### struct EvFormField

    struct EvFormField;

### struct EvFormFieldClass

    struct EvFormFieldClass {
    	GObjectClass parent_class;
    };

### struct EvFormFieldText

    struct EvFormFieldText;

### struct EvFormFieldTextClass

    struct EvFormFieldTextClass {
    	EvFormFieldClass partent_class;
    };

### struct EvFormFieldButton

    struct EvFormFieldButton;

### struct EvFormFieldButtonClass

    struct EvFormFieldButtonClass {
    	EvFormFieldClass partent_class;
    };

### struct EvFormFieldChoice

    struct EvFormFieldChoice;

### struct EvFormFieldChoiceClass

    struct EvFormFieldChoiceClass {
    	EvFormFieldClass partent_class;
    };

### struct EvFormFieldSignature

    struct EvFormFieldSignature;

### struct EvFormFieldSignatureClass

    struct EvFormFieldSignatureClass {
    	EvFormFieldClass partent_class;
    };

### enum EvFormFieldTextType

#### Members

EV_FORM_FIELD_TEXT_NORMAL |  |
EV_FORM_FIELD_TEXT_MULTILINE |  |
EV_FORM_FIELD_TEXT_FILE_SELECT |  |

### enum EvFormFieldButtonType

#### Members

EV_FORM_FIELD_BUTTON_PUSH |  |
EV_FORM_FIELD_BUTTON_CHECK |  |
EV_FORM_FIELD_BUTTON_RADIO |  |

### enum EvFormFieldChoiceType

#### Members

EV_FORM_FIELD_CHOICE_COMBO |  |
EV_FORM_FIELD_CHOICE_LIST |  |